package cn.com.qmth.sdk.test.sydx;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.security.LoginUtil;
import cn.com.qmth.sdk.security.bean.Session;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import cn.com.qmth.sdk.util.ResourceLoader;
import okhttp3.Response;

public class ImportExamStudentInfo {

	public static void main(String[] args) {

		Session session = LoginUtil.login("qmth-wangwei", "123456");

		String url = QmthUtil.buildUrl("/api/ecs_outlet/sydx/import_exam_student_info");

		String json = ResourceLoader.getResource("sydx/importExamStudentInfo.json");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, session.buildHeaders(), json);
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}

	}

}
