package cn.com.qmth.sdk.test;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.bean.OuterStudent4BatchBean;
import cn.com.qmth.sdk.request.OuterBatchSaveStudentReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class BatchSaveStudent {

	public static void main(String[] args) {
		OuterBatchSaveStudentReq reqBody = new OuterBatchSaveStudentReq();
		List<OuterStudent4BatchBean> studentList = new ArrayList<OuterStudent4BatchBean>();
		OuterStudent4BatchBean student = new OuterStudent4BatchBean();
		student.setName("陈圆圆1");
		student.setIdentityNumber("42112100001111XXXXXXX");
		student.setOperator("北京地大系统");
		student.setOrgCode("ORG-100");
		student.setOrgName("学习中心-100");
		student.setPhoneNumber("1501111XXXX");
		student.setPhotoUrl(
				"http://hebei.hebnews.cn/attachement/jpg/site2/20131024/406186eb809b13d3068d51.jpg");
		student.setRemark("测试11");
		student.setRootOrgId(QmthUtil.getRootOrgId());
		student.setStudentCode("s-100");

		studentList.add(student);
		reqBody.setStudentList(studentList);
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());// 设置rootOrgId

		String url = QmthUtil.buildUrl("/api/exchange/outer/student/batchSaveStudent");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
